<!-- Based on fast/repaint/filter-repaint-accelerated-on-accelerated-filter.html -->
<!DOCTYPE html>
<style>
div {
    width: 200px;
    height: 200px;
}

.blur {
    -webkit-filter: blur(10px);
}

.drop-shadow {
    -webkit-filter: drop-shadow(16px 16px 10px black);
}

.accelerated {
    transform: translateZ(0);
}

#resize {
    background-color: green;
}
</style>

<div class="blur accelerated">
    <div class="drop-shadow accelerated" id="resize"></div>
</div>

<script src="resources/paint-invalidation-test.js"></script>
<script>
window.testIsAsync = true;

window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow DIV id='resize' class='drop-shadow accelerated'",
];
function paintInvalidationTest() {
    var resizeElement = document.getElementById("resize");
    resizeElement.style.width = "100px";
    finishPaintInvalidationTest();
}
window.onload = runPaintInvalidationTest;
</script>
